## org.eclipse.jst.pagedesigner.converter
Interface IDOMFactory

All Known Implementing Classes:
  AbstractTagConverter, DefaultUnknownTagConverter, DumDeepTagConverter, DumDescriptionTagConverter, DumTagConverter, HiddenTagConverter2, HTMLStringTagConverter, TagConverterToDumBlock, TagConverterToInlineBlock, TagConverterToSpan

    public interface IDOMFactory

Factory interface. AbstractTagConverter will implement it.

Version:
  1.5

Method Summary
`org.w3c.dom.Element` `createElement(java.lang.String tag)` create element
`org.w3c.dom.Text` `createText(java.lang.String content)` create text node

Method Detail

### createElement

    org.w3c.dom.Element createElement(java.lang.String tag)

  create element

  Parameters:
    `tag` -
  Returns:
    a new element using tag as its name

### createText

    org.w3c.dom.Text createText(java.lang.String content)

  create text node

  Parameters:
    `content` -
  Returns:
    a new text node using content as its body